RubyGems Navigation menu

rubocop 0.48.0

Automatic Ruby code style checking tool. Aims to enforce the community-driven Ruby Style Guide.

Versions:

  1. 1.23.0 - November 15, 2021 (511 KB)
  2. 1.22.3 - October 27, 2021 (508 KB)
  3. 1.22.2 - October 22, 2021 (508 KB)
  4. 1.22.1 - October 04, 2021 (507 KB)
  5. 1.22.0 - September 29, 2021 (506 KB)
  6. 0.48.0 - March 26, 2017 (302 KB)
Show all versions (194 total)

Runtime Dependencies (5):

  • parser < 3.0, >= 2.3.3.1
  • powerpack ~> 0.1
  • rainbow < 3.0, >= 1.99.1
  • ruby-progressbar ~> 1.7
  • unicode-display_width >= 1.0.1, ~> 1.0
  • Development Dependencies (1):

  • bundler ~> 1.3
  • Owners:

    Authors:

    • Bozhidar Batsov, Jonas Arvidsson, Yuji Nakayama

    SHA 256 checksum:

    cca38e2b3ba3496fa63dbe747baa9eff7f9717631df1221467618b54773fd690

    Total downloads 195,138,776

    For this version 193,571

    Gemfile:
    = Copy to clipboard Copied!

    install:
    =

    License:

    MIT

    Required Ruby Version: >= 2.0.0

    Requires MFA accounts: Since 1.23.0

    Links: